#include "lib/gba.h"
#include "irq_arm.h"
#include "bg.h"
#include "key.h"
#include "mm.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
IWRAM_CODE int main(void)
{
	REG_WSCNT = 0x4317;

	IrqInit();
	BgInit();
	KeyInit();

	MmInit();

	for(;;)
	{
		VBlankIntrWait();

		KeyExec();
		MmExec();
	}
}
